#!/usr/bin/ruby

lines = [
'',
'  #### COMMAND-LINE TOOLS',
'',
'  Ruby is a powerful and concise  object-oriented scripting language.  Scripts',
'  are normally run from a command-line or terminal environment by typing the',
'  ruby  command followed by a script name, often followed by one or more',
'  command-line arguments.  However, scripts installed as gems do not need the',
'  ruby  command to be typed explicitly.  For example, typing',
'  stripheaderdups.rb my_file.txt  will invoke the  stripheaderdups.rb  script',
'  and apply it to file  my_file.txt  in your current working directory.  Note',
'  that on Windows the  .rb  suffix is not needed to run your scripts, e.g.,',
'  stripheaderdups my_file.txt  will suffice.',
'',
'  All scripts in this distribution are self documenting if run with a --help,',
'  -h, or -? option.  Quick descriptions follow.',
'',
'  #### DATA MANIPULATION',
'',
'  •  blank2csv.rb  —',
'  convert whitespace-delimited files to Comma Separated Values (CSV) files',
'  •  cat.rb  —',
'  Unix  cat  program work-alike for Windows—for viewing or creating text files',
'  or concatenating multiple files, based on stdio',
'  •  convert_line_endings.rb  —',
'  convert text files (including CSV files) to your current operating system',
'  environment (e.g., DOS to Unix or Unix to DOS)',
'  •  csv2blank.rb  —',
'  convert CSV files to whitespace-delimited files',
'  •  pool_files.rb  —',
'  pool columns from separate files into a new file, useful for combining',
'  design file & output files or multiple output files',
'  •  stripheaders.rb ,  stripheaderdups.rb  —',
'  remove column headers from a file, or duplicate headers within a file,',
'  respectively',
'',
'  #### DESIGN GENERATORS',
'',
'  •  augment_design.rb  —',
'  generate star points to augment an already existing factorial design',
'  •  cross.rb  —',
'  create a combinatorial design by crossing all combinations of any # of',
'  individual smaller designs',
'  •  scaled_fde.rb  —',
'  generate fully orthogonal quadratic designs based on discrete Fourier',
'  frequencies, with factor scaling',
'  •  scaled_rf_cubed.rb  —',
'  generate 2-level Resolution V fractional factorial designs and Central',
'  Composite Designs (CCDs), with factor scaling',
'  •  stack_nolhs.rb  —',
'  generate designs by reassigning columns from pre-tabled NOLHs, with factor',
'  scaling, for up to 100 factors',
'',
'  #### RUN CONTROL',
'',
'  •  batchrunner.rb  —',
'  run a model interactively with replication',
'  •  rundesign_general.rb  —',
'  run control to replicate a designed experiment applied to a model',
'',
'  #### CONFIDENCE INTERVALS FOR TIME SERIES',
'',
'  •  mser.rb  —',
'  use MSER truncation to remove initial transient effects for time-series',
'  output, reporting truncated average and number of observations for each run',
'  to facilitate construction of a properly weighted confidence interval.',
'  •  mser_nolbm.rb  —',
'  use MSER truncation to remove initial transient effects for time-series',
'  output, then calculate a 95% confidence interval on the remaining data using',
'  non-overlapping batch means.',
'  •  mser_olbm.rb  —',
'  use MSER truncation to remove initial transient effects for time-series',
'  output, then calculate a 95% confidence interval on the remaining data using',
'  overlapping batch means.',
''
]

lines.each { |line| puts line }
